Subject: Re: bug#30506: Say Added by package.el

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Mon, 15 Jul 2019 04:27:41 +0800

>> In one's .emacs file, one might find
>> 
>> ;; Added by Package.el.  This must come before configurations of
>> ;; installed packages.  Don't delete this line.  If you don't want it,
>> ;; just comment it out by adding a semicolon to the start of the line.
>> ;; You may delete these explanatory comments.
>> (package-initialize)
>> 
>> Well it should say Added by package.el . There is no Package.el on the
>> system and the user will spend a long time looking for it.

LI> Emacs no longer adds this stuff to .emacs, so I'm closing this bug report.

Are you saying it is now safe to remove those lines from .emacs?
emacs-version "26.1"
and there still is a
$ dlocate package.elc
emacs-common: /usr/share/emacs/26.1/lisp/emacs-lisp/package.elc
lurking on disk.